Bug 121293 - pt_BR.UTF-8 minor translation issues
pt_BR.UTF-8 minor translation issues
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: David Barzilay
http://people.redhat.com/~katzj/anaco...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-20 00:51 EDT by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-31 15:09:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-04-20 00:51:02 EDT
Description of problem:
In the disk druid screen, `Iniciar' would have been better translated
as `Início'.

In the `About to begin installation' screen, there's an incorrect line
break just before the open paren in disco(s).  I don't know whether
there's a blank that shouldn't be there, or if the generic line break
code assumes it can break lines before parentheses, but what's there
is definitely bad pt_BR.

Version-Release number of selected component (if applicable):
based on jeremy's screenshots posted on April 19, 2004
Comment 1 David Barzilay 2004-04-20 02:09:43 EDT
The word "Iniciar" has been changed to "Início" in anaconda software.

The "(s)" was brought back to the line stuck to the word "disco" in
the help-screens software.

Although fixes were done asap, I don't know if will be incorporated in
FC2.

If second problem persists will be necessary to review the breaking
line rules.

Thanks!
Dave
Comment 2 Alexandre Oliva 2004-05-10 12:08:36 EDT
The first problem is fixed, but the second still has the incorrect
line break :-(
Comment 3 David Barzilay 2004-05-10 19:52:50 EDT
The breaking line rules for pt_BR should be reviewed, and according to
the info I got, this might be related to pango package.

We are trying to stick the plural component (s) to the word "disco"
(disk in Portuguese), but the line breaking code doesn't work this way
in Anaconda help screens...
Comment 4 Owen Taylor 2004-08-02 18:21:39 EDT
Not going to change this in Pango; the Pango behavior is conformant
to the relevant Unicode standard. You can insert a ZWNBSP 
(U+FEFF) in the translation if you want to suppress a line break.

Guessing on the reassignment.
Comment 5 Alexandre Oliva 2004-08-02 22:49:52 EDT
This is quite unfortunate.  Saying `ele(a)' in Portuguese is the
equivalent of `s/he' in English.  A line break before or after the
slash would be just as bad as a line break before the parenthesis. 
Note that there's absolutely no whitespace before `('.  Must we really
introduce any, even if zero-width?  I can't see anything in the line
breaking unicode standard that supports the statement that, in
`foo(bar)', a line break between `foo' and `(bar)' is legitimate.  All
the standard says is that there cannot be a line break after `('. 
Would you point to the relevant portion of the Standard you're basing
your claim on?  Thanks,
Comment 6 Owen Taylor 2004-08-03 08:08:18 EDT
(Pango will happily line-break after the slash in s/he; of course
using s/he in English is dreadful style...)

The rule in http://www.unicode.org/reports/tr14/ is

 "LB 20  Break everywhere else"

So unless there is a rule forbidding it, it is a break position.

Or look at table 2 - AL followed by OP is marked as _: a break
opportunity.

UAX allows tailoring so this rule *could* be changed in Pango... but
I'm very hesitant to ad-hoc start changing rules for particular use cases.

(I'll admit that this particular example has come up before; still
I'm not sure I want to generalize off of two examples. Generally,
if you need to use (s) in a translation, you should be beating
up the package maintainer to use ngettext.)
Comment 7 Jeremy Katz 2006-01-31 15:09:58 EST
According to Owen, pango is following the right unicode standard here

Note You need to log in before you can comment on or make changes to this bug.